#pragma once

#include "common.h"

#include <library/cpp/testing/unittest/env.h>
#include <library/cpp/testing/unittest/tests_data.h>

namespace NBalancerServer::NTesting {

struct TEnv {
    TPortManager PortManager;
    ui32 Port = PortManager.GetPort();
    ui32 SslPort = PortManager.GetPort();

    THolder<TStandaloneServer> Server;
    TThreadPool ServerPool;

    void Start(TServerCallback callback, TOptions options, bool useTwoPorts = false);

    void Stop();

    ~TEnv();
};

}  // namespace NBalancerServer::NTesting

